- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ImageCodec::ImageData Class Reference

Codec return class for images. More...

`#include <OgreImageCodec.h>`

Inheritance diagram for Ogre::ImageCodec::ImageData:
[legend]

List of all members.

## Public Member Functions
| ImageData ()
String | dataType () const
| Returns the type of the data.
## Public Attributes
size_t | height
size_t | width
size_t | depth
size_t | size
ushort | num_mipmaps
uint | flags
PixelFormat | format

## Detailed Description

Codec return class for images.

Has imformation about the size and the pixel format of the image.

Definition at line 48 of file OgreImageCodec.h.

## Constructor & Destructor Documentation

Ogre::ImageCodec::ImageData::ImageData | ( |  | ) |

Definition at line 51 of file OgreImageCodec.h.

## Member Function Documentation

String Ogre::ImageCodec::ImageData::dataType | ( |  | ) | const`[virtual]`

Returns the type of the data.

Reimplemented from Ogre::Codec::CodecData.

Definition at line 67 of file OgreImageCodec.h.

## Member Data Documentation

size_t Ogre::ImageCodec::ImageData::height

Definition at line 56 of file OgreImageCodec.h.

size_t Ogre::ImageCodec::ImageData::width

Definition at line 57 of file OgreImageCodec.h.

size_t Ogre::ImageCodec::ImageData::depth

Definition at line 58 of file OgreImageCodec.h.

size_t Ogre::ImageCodec::ImageData::size

Definition at line 59 of file OgreImageCodec.h.

ushort Ogre::ImageCodec::ImageData::num_mipmaps

Definition at line 61 of file OgreImageCodec.h.

uint Ogre::ImageCodec::ImageData::flags

Definition at line 62 of file OgreImageCodec.h.

PixelFormat Ogre::ImageCodec::ImageData::format

Definition at line 64 of file OgreImageCodec.h.

The documentation for this class was generated from the following file:

- OgreImageCodec.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:50:04 2008